<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Перенаправление';
include_once '../sys/inc/thead.php';
title();

if (!isset($_GET['go']) || (mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `id` = '".intval($_GET['go'])."'"),0)==0 && !preg_match('#^https?://#',@base64_decode($_GET['go'])))){
header("Location: index.php?".SID);
exit;
}

if (preg_match('#^(ht|f)tps?://#',base64_decode($_GET['go']))){
if (isset($_SESSION['adm_auth']))unset($_SESSION['adm_auth']);
header("Location: ".base64_decode($_GET['go']));
exit;
}else{
$rekl=mysql_fetch_assoc(mysql_query("SELECT * FROM `rekl` WHERE `id` = '".intval($_GET['go'])."'"));
mysql_query("UPDATE `rekl` SET `count` = '".($rekl['count']+1)."' WHERE `id` = '$rekl[id]'");
if (isset($_SESSION['adm_auth']))unset($_SESSION['adm_auth']);
header("Refresh: 3; url=$rekl[link]");

echo '<div class="block">За содержание рекламируемого ресурса администрация сайта <b>Mobik.best</b> ответственности не несёт.</div>';
echo '<div class="block2"><i class="material-icons icon">done_all</i> Переходов: <b>'.$rekl[count].'</b></div>';
echo '<a class="link3" href="'.$rekl[link].'"><i class="material-icons icon">label_important</i> Перейти по ссылке</a>';

}

include_once '../sys/inc/tfoot.php';

?>